# -*- coding: utf-8; -*-
"""
Tasks for Wutta Demo
"""

import os
import shutil

from invoke import task


here = os.path.abspath(os.path.dirname(__file__))
exec(open(os.path.join(here, 'wuttademo', '_version.py')).read())


@task
def release(c):
    """
    Release a new version of Wutta Demo
    """
    # rebuild local tar.gz file for distribution
    if os.path.exists('Wutta_Demo.egg-info'):
        shutil.rmtree('Wutta_Demo.egg-info')
    c.run('python -m build --sdist')

    # filename of built package
    filename = 'Wutta-Demo-{}.tar.gz'.format(__version__)

    # TODO: uncomment and update these details, to upload to private PyPI
    #c.run('scp dist/{} rattail@pypi.example.com:/srv/pypi/wuttademo/'.format(filename))

    # TODO: or, uncomment this to upload to *public* PyPI
    #c.run('twine upload dist/{}'.format(filename))
